%global srcname animatplot

Name:           python-%{srcname}
Version:        0.3.0
Release:        1%{?dist}
Summary:        Making animating in Matplotlib easy

License:        MIT
URL:            https://github.com/t-makaro/animatplot
# PyPI tarball does not contain docs and tests.
Source0:        https://github.com/t-makaro/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
# https://github.com/t-makaro/animatplot/issues/25
Patch0001:      https://github.com/t-makaro/animatplot/pull/26.patch

BuildArch:      noarch

%description
A Python package for making interactive animated plots build on
Matplotlib.


%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  pandoc
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx) >= 1.5.1
BuildRequires:  python3dist(ipykernel)
BuildRequires:  python3dist(nbsphinx)
BuildRequires:  python3dist(matplotlib) >= 2.2
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pillow)
BuildRequires:  python3dist(pytest)

Requires:       python3dist(matplotlib) >= 2.2

%description -n python3-%{srcname}
A Python package for making interactive animated plots build on
Matplotlib.

%package -n     python3-%{srcname}-doc
Summary:        Documentation for python3-%{srcname}

%description -n python3-%{srcname}-doc
Documentation for python3-%{srcname}.


%prep
%autosetup -n %{srcname}-%{version} -p1
# Fix https://github.com/t-makaro/animatplot/issues/25
mv %{srcname}/testing/tools.py tests/
rm -r %{srcname}/testing
touch tests/__init__.py

# Remove bundled egg-info
rm -rf %{srcname}.egg-info


%build
%py3_build

pushd docs
%{__python3} -m sphinx source html
# remove the sphinx-build leftovers
rm -rf html/.{buildinfo,doctrees}
popd


%install
%py3_install


%check
PYTHONPATH=%{buildroot}%{python3_sitelib} \
    pytest-3


%files -n python3-%{srcname}
%doc README.md
%license LICENSE
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info

%files -n python3-%{srcname}-doc
%doc docs/html


%changelog
* Sat Jan 12 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.3.0-1
- Update to latest version

* Fri Aug 10 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.2.2-2
- Fix license file listing

* Wed Aug 08 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.2.2-1
- Initial package.
